/* Main container styling */
.main-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin-top: 50px;
    font-family: Arial, sans-serif;
}

/* Header styling */
.header {
    font-size: 24px;
    font-weight: bold;
    margin-bottom: 20px;
}

.range {
    width: 400px;
    height: 15px;
    -webkit-appearance: none;
    background: #111;
    outline: none;
    border-radius: 15px;
    overflow: hidden;
    box-shadow: inset 0 0 5px rgba(0, 0, 0, 1);
}

.range::-webkit-slider-thumb {
    -webkit-appearance: none;
    width: 15px;
    height: 15px;
    border-radius: 50%;
    background: #00fd0a;
    cursor: pointer;
    border: 4px solid #333;
    box-shadow: -407px 0 0 400px #00fd0a;
}


/* Slider section styling */
.slider-section {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 20px;
}

/* Slider styling */
.slider {
    width: 95%;
    margin: 10px auto;
    height: 15px;
    accent-color: #007bff;
    border: 2px solid #007bff;
    /* Border for range visualization */
    border-radius: 10px;
    /* Smooth corners */
    background-color: #f5f5f5;
}

.slider::-webkit-slider-thumb {
    background-color: #007bff;
    border: 2px solid #fff;
    border-radius: 50%;
    width: 20px;
    height: 20px;
    cursor: pointer;
}

.slider::-webkit-slider-runnable-track {
    background-color: transparent;
    /* Inherits from slider background */
    height: 8px;
    border-radius: 4px;
}

/* Slider value and range styling */
.slider-value {
    font-size: 16px;
    font-weight: bold;
    margin-top: 10px;
}

.slider-range {
    font-size: 14px;
    color: #555;
    margin-top: 5px;
}

/* Button section styling */
.button-section {
    margin-top: 20px;
}

.apply-button {
    background-color: #007bff;
    color: #fff;
    font-size: 16px;
    font-weight: bold;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

.apply-button:hover {
    background-color: #0056b3;
}




.styled-table {
    border-collapse: collapse;
    margin: 25px 0;
    font-size: 0.9em;
    font-family: sans-serif;
    min-width: 400px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.15);
}



.styled-table thead tr {
    background-color: #009879;
    color: #ffffff;
    text-align: left;
}



.styled-table th,
.styled-table td {
    padding: 12px 15px;
}




.styled-table tbody tr {
    border-bottom: 1px solid #dddddd;
}

.styled-table tbody tr:nth-of-type(even) {
    background-color: #f3f3f3;
}

.styled-table tbody tr:last-of-type {
    border-bottom: 2px solid #009879;
}




.styled-table tbody tr.active-row {
    font-weight: bold;
    color: #009879;
}


.weedimg {
    width: 100vw;
    max-width: calc(100vw / 1.1);
    height: auto;
}